REM New start_WebSphereMQWorkflow.bat which calls start_adapter.bat

REM @echo off
setlocal

REM set variables that need to pass to callee
REM set the name to be the application connector that is starting
set CONNAME=%1

REM set the connector package name
set CONNPACKAGENAME=com.crossworlds.connectors.mqworkflow.MQWorkflowConnectorAgent

REM set the server name to be the interchange that is being targeted
set SERVER=%2

REM set adapter specific variable
set MQWF_JAVA_LIB="C:\Program Files\IBM WebSphere MQ Workflow\BIN\Java3320"
set CONN_LIB=%MQWF_JAVA_LIB%\fmcojagt.jar;%MQWF_JAVA_LIB%\fmcojapi.jar

REM branch between WBIA_RUNTIME and CROSSWORLDS

if "%WBIA_RUNTIME%"=="" goto CROSSWORLDS

REM call CWConnEnv
call "%WBIA_RUNTIME%"\bin\CWConnEnv

REM set the directory where specific connector resides
set CONNDIR="%WBIA_RUNTIME%"\connectors\%1

REM go to the connector specific drive and directory.CONNDIR is defined by caller
cd /d %CONNDIR%

REM set the variables that are required for the start_adapter callee
set JVMArgs=
set LibPath=
set ExtDirs=
set JCLASSES=%XML_LIB%;.;%CONN_LIB%;%CONNDIR%\CW%CONNAME%.jar;%DATAHANDLER%;%JCLASSES%

call %WBIA_RUNTIME%\bin\start_adapter.bat -n%CONNAME%Connector -s%SERVER% -l%CONNPACKAGENAME% %3 %4 %5
REM Additional parameter if required -fno -pnull -cWebSphereMQWorkflowConnector.cfg
goto END


:CROSSWORLDS

REM all old functionality goes here

REM call CWConnEnv
call "%CROSSWORLDS%"\bin\CWConnEnv

REM ****************************************************************************************
REM * STEP 1: Set the directory containing your WebSphere MQ Workflow Java client libraries 
REM ****************************************************************************************


REM set the directory where the specific connector resides
set CONNDIR="%CROSSWORLDS%"\connectors\%1

REM goto the connector specific drive & directory
cd /d %CONNDIR%

set VBJTOOLS="%CROSSWORLDS%"\lib\vbjtools.jar

set JCLASSES=%XML_LIB%;.;%JCLASSES%;%CONN_LIB%;%VBJTOOLS%;%DATAHANDLER%;

REM config file location defaults to HOME\InterchangeSystem.cfg on the local machine

set OPTIONS=-mx128m %OPTIONS%

REM ****************************************************************************************
REM * STEP 2: If using the OSA agent locator policy (Visibroker), uncomment the following 
REM * line and adjust visibroker library paths as necessary
REM ****************************************************************************************
REM set OPTIONS=%OPTIONS% -Xbootclasspath/p:"c:\inprise\vbroker\lib\vbjapp.jar;c:\inprise\vbroker\lib\vbjorb.jar;c:\inprise\vbroker\lib\vbjtools.jar;c:\inprise\vbroker\lib\vbjcosm.jar"

REM start the Java connector under the Java Application End
"%CWJAVA%" -version
%CWJAVA% -mx128m -Djava.ext.dirs="%MQ_LIB%";%JRE_EXT_DIRS% -Djava.library.path="%CROSSWORLDS%"\bin;%CONNDIR%;"%MQ_LIB%";%JRE_EXT_DIRS% %ORB_PROPERTY% -Duser.home="%CROSSWORLDS%" -cp %JCLASSES%;%CONNDIR%\CW%CONNAME%.jar; AppEndWrapper -l%CONNPACKAGENAME% -n%CONNAME%Connector -s%SERVER%  %3 %4 %5
:END
endlocal
pause